{"title":"Get balanceSheet (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_balancesheet_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_balancesheet_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_balancesheet_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Gets a balance sheet object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get balanceSheet (v1.0)","slug":"get-balancesheet-v10","at":0,"chars":1372},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":123,"chars":212},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":335,"chars":79},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":414,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":483,"chars":131},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":614,"chars":533},{"level":2,"title":"Related information","slug":"related-information","at":1147,"chars":225}],"text":"# Get balanceSheet (v1.0)\nRetrieve the properties and relationships of a balance sheet report object for Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/balanceSheet\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and a balanceSheet object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/balanceSheet?$orderby=lineNumber&$filter=dateFilter eq 2020-12-30\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n  \"lineNumber\": 10000,\n  \"display\": \"Assets\",\n  \"balance\": 11860.69,\n  \"lineType\": \"header\",\n  \"indentation\": 0,\n  \"dateFilter\": \"2020-12-30\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nBalance Sheet<../resources/dynamics_balancesheet>\nGet Cash Flow Statement<dynamics_cashflowstatement_get>\ndynamics_account_get"}